<?php

namespace Drupal\page_not_found_files_reports\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form for page not found files report setting.
 */
class ReportsSettings extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'pnf_files_reports_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['pnf_files_reports.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('pnf_files_reports.settings');

    $form['report_link'] = [
      '#type' => 'markup',
      '#markup' => '<a href="/admin/reports/page-not-found-files">Report Link</a>',
    ];
    $form['page_url'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Page URL'),
      '#description' => $this->t('Enter specific page url to generate report. By Default report genarated with full site urls inside sitemap.xml.'),
      '#default_value' => $config->get('page_url'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('pnf_files_reports.settings');

    $config->set('page_url', $form_state->getValue('page_url'));

    $config->save();

    parent::submitForm($form, $form_state);
  }

}
